Bug 42378 - Request for Enhancement: wxGTK and wxPython
Summary: Request for Enhancement: wxGTK and wxPython
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL: http://www.wxpython.org/download.php#...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-26 08:16 UTC by Bryan J. Smith
Modified: 2007-03-27 03:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-13 23:40:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan J. Smith 2001-05-26 08:16:41 UTC
Being that RedHat is one big, happy Python and GTK asylum for many of us,
might I suggest RedHat consider including wxGTK (the Linux support
component for the cross-platform, C++ wxWindows development system) and
wxPython (Python bindings for wxWindows) in a future release (possibly
7.2)?

wxWindows (and, thus, wxGTK) is now licensed and distributed under the
LGPL, along with its wxPython offspring as well.  SRPMS are easily built
and installed for both, integrating quite nicely with Python1.5 (1.5.2) on
my system (under its ./site-packages subdirectory).  I presume with the
proper options, they can be built for Python2 (2.0.3) as well (and
installed under its respective ./site-packages subdirectory).

Given the fact that space is at a premium on the binary CDs, putting these
two packages on the Powertools CD is perfectly acceptable to me.

Comment 1 R P Herrold 2001-10-16 18:12:30 UTC
SRPMs appear to be readily available at:

   http://www.wxpython.org/download.php#sources

but that SRPM needs, and does not presently articulate a dependency for 
distutil's ...  While present in python 1.6 and later, for people using the 
1.5.2 version which ships with RH 7.1, that missing component appears to be at: 

   http://www.python.org/sigs/distutils-sig/download.html

It does not appear to have been packaged with a SPEC file, although the 
packagine seems straightforward from the description

Comment 2 R P Herrold 2001-10-17 20:16:54 UTC
distutils ... appears to be present, with Variant capitalization, in RH 7.1 
already ... as Distutils

[root@serverc /root]# rpm -qi Distutils
Name        : Distutils                    Relocations: (not relocateable)
Version     : 1.0.1                             Vendor: Red Hat, Inc.
Release     : 3                             Build Date: Fri Dec  1 12:52:53 
2000Install date: Wed Oct 17 16:09:02 2001      Build Host: 
porky.devel.redhat.com
Group       : Development/Libraries         Source RPM: 
Distutils-1.0.1-3.src.rpm
Size        : 1102191                          License: Python
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.python.org/sigs/distutils-sig/


Comment 3 Trond Eivind Glomsrxd 2002-08-13 23:40:20 UTC
We already ship enough gui toolkits...


Note You need to log in before you can comment on or make changes to this bug.